Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002460Piwigophotospublic2011.10.07 10:232012.02.09 11:35
ReporterDsls 
Assigned Toplg 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformanyOSOS Version
Product Version2.3.0 
Target Version2.4.0RC1Fixed in Version2.4.0RC1 
Summary0002460: [Batch Manager] add "shift-click" ability to photo selection
DescriptionThe "batch managemer" currently provides options to select whole page/whole set/none/invert selection for images inside an album.

The other way is to select individually each image. When a big range of images is to be selected (for instance, to be moved to another album), the work is a bit tedious, each and every image for the selection has to be checked.

gmail provides a "shift-click" approach as an alternative : check the first image of a range, and shift-click the last one, which would select the range between both.

Could this behavior be implemented in piwigo batch manager ?
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Filespatch file icon batch_manager_global.tpl.patch [^] (1,911 bytes) 2011.10.10 10:05 [Show Content]
? file icon batch_manager_global.tpl.patch2 [^] (2,460 bytes) 2011.10.10 12:51

- Relationships

-  Notes
(0005682)
Dsls (reporter)
2011.10.10 10:06

Patch proposal, may need to be refined on click on thumbnail, and not checkbox.
(0005683)
Dsls (reporter)
2011.10.10 12:51

New patch proposal (batch_manager_global.tpl.patch2) compatible with thumbnail clicking.
(0006004)
svn (reporter)
2012.02.09 11:34

[Subversion] r13065 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2460 added: ability to Shift-click in the Batch Manager, to select
several photos easily. Patch from Dsls.

- Issue History
Date Modified Username Field Change
2011.10.07 10:23 Dsls New Issue
2011.10.07 10:23 Dsls browser => any
2011.10.07 10:23 Dsls Web server => Apache 1.3.x
2011.10.10 10:05 Dsls File Added: batch_manager_global.tpl.patch
2011.10.10 10:06 Dsls Note Added: 0005682
2011.10.10 12:51 Dsls File Added: batch_manager_global.tpl.patch2
2011.10.10 12:51 Dsls Note Added: 0005683
2012.02.09 11:34 svn Checkin
2012.02.09 11:34 svn Note Added: 0006004
2012.02.09 11:35 plg Assigned To => plg
2012.02.09 11:35 plg Status new => closed
2012.02.09 11:35 plg Resolution open => fixed
2012.02.09 11:35 plg Fixed in Version => 2.4.0RC1
2012.02.09 11:35 plg Target Version => 2.4.0RC1
2012.02.09 11:35 plg Summary Add gmail-like "shift-click" ability to photo selection => [Batch Manager] add "shift-click" ability to photo selection


Copyright © 2000 - 2018 MantisBT Team
Contact
Powered by Mantis Bugtracker